<div class="dialog creation-network-dialog">
  <div class="title">
    <h3>{{ 'NETWORK_DIALOG.CREATE_NETWORK' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <form [formGroup]="formGroup" (ngSubmit)="onSubmit()">
    <geodesign-input-text [placeholder]="'NETWORK_DIALOG.NETWORK_NAME' | translate" formControlName="schema"
                          [maxLength]="20"></geodesign-input-text>
    <geodesign-input-text *ngIf="options" [placeholder]="'NETWORK_DIALOG.NETWORK_FOLDER' | translate"
                          formControlName="dir" [options]="options"></geodesign-input-text>
    <geodesign-alert *ngIf="isError">{{ 'GLOBAL.ERROR' | translate }}</geodesign-alert>
    <div class="buttons">
      <geodesign-button type="submit" styles="primary">{{ 'FORM.SEND' | translate }}</geodesign-button>
    </div>
  </form>
</div>
